Package com.destroystokyo.paper.event.entity

# Class PreSpawnerSpawnEvent

java.lang.Object
org.bukkit.event.Event
com.destroystokyo.paper.event.entity.PreCreatureSpawnEvent
com.destroystokyo.paper.event.entity.PreSpawnerSpawnEvent

All Implemented Interfaces:
  `Cancellable`

public class PreSpawnerSpawnEvent extends PreCreatureSpawnEvent
Called before an entity is spawned into a world by a spawner. This only includes the spawner's location and not the full BlockState snapshot for performance reasons. If you really need it you have to get the spawner yourself.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`PreSpawnerSpawnEvent(@NotNull Location location, @NotNull EntityType type, @NotNull Location spawnerLocation)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Location`
`getSpawnerLocation()`

### Methods inherited from class com.destroystokyo.paper.event.entity.PreCreatureSpawnEvent

`getHandlerList, getHandlers, getReason, getSpawnLocation, getType, isCancelled, setCancelled, setShouldAbortSpawn, shouldAbortSpawn`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PreSpawnerSpawnEvent

public PreSpawnerSpawnEvent(@NotNull @NotNull Location location, @NotNull @NotNull EntityType type, @NotNull @NotNull Location spawnerLocation)

## Method Details

### getSpawnerLocation

@NotNull public @NotNull Location getSpawnerLocation()